> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update client contract   inDevelopnent

> Set the contract in the client profile



## OpenAPI

````yaml patch /client/contract
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /client/contract:
    patch:
      tags:
        - Client
      summary: Update client contract   inDevelopnent
      description: Set the contract in the client profile
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContractInfo'
        required: true
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientProfile'
        '400':
          description: Internal server error
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
      security:
        - bearerAuth: []
components:
  schemas:
    ContractInfo:
      required:
        - contract
      properties:
        contract:
          type: string
          description: Contract identifier
          example: BasicContract
    ClientProfile:
      properties:
        client:
          type: string
          description: Internal client ID
          format: uuid
          example: 73f86631-3aa8-4df3-a769-ed820761da8c
        adm:
          type: string
          description: Administrative status
          example: adm:active
          enum:
            - adm:active
            - adm:blocked
            - adm:suspended
        kyc:
          type: string
          description: Verification status
          example: kyc:unconfirmed
          enum:
            - kyc:unconfirmed
            - kyc:confirmed
            - kyc:pending
            - kyc:rejected
            - kyc:resubmission
        verifier:
          type: string
          description: The service that verifies an applicant
          example: sumsub
        applicant:
          type: string
          description: Applicant ID in the verification service
          example: 628f44511a86170001268e99
        agent:
          type: string
          description: Internal agent ID
          format: uuid
          example: 39eab26c-8788-4375-810c-9807aaf98191
        context:
          type: string
          description: Subset of the client information
          example: profile
        created:
          type: string
          description: When the client profile was created in RFC 3339 (section 5.6)
          format: date-time
          example: '2022-07-06T13:42:24.094Z'
        updated:
          type: string
          description: Time of the last update in RFC 3339 (section 5.6)
          format: date-time
          example: '2022-07-06T13:42:24.094Z'
        contract:
          type: string
          description: User contract
          example: BasicContract
        termsVersion:
          type: string
          description: User terms version accepted
          example: '2022-07-06T13:42:24.094Z'
        termsAcceptedTs:
          type: string
          description: User terms accepted timestamp
          example: '2022-07-06T13:42:24.094Z'
        address:
          $ref: '#/components/schemas/ClientAddress'
    inline_response_400:
      type: object
      properties:
        message:
          type: string
          description: Application error
          example: The client has been already initiated
    ClientAddress:
      required:
        - country
        - postCode
        - street
        - town
      type: object
      properties:
        country:
          type: string
          description: Client country
          example: USA
        postCode:
          type: string
          description: Client post code
          example: '23453'
        town:
          type: string
          description: Client town
          example: Boston
        street:
          type: string
          description: Client street
          example: Bandery 17
        streetLine2:
          type: string
          description: Client sub street
          example: sub street
        state:
          type: string
          description: Client street
          example: DE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````